Subject: Re: Kernel connector - userspace <-> kernelspace "linker".

From: Alan Cox <[email-masked]>
Date: Tue, 21 Sep 2004 13:22:35 +0100

On Maw, 2004-09-21 at 13:46, Evgeniy Polyakov wrote:
> Connector driver adds possibility to connect various agents using
> netlink based network.
> One must register callback and identificator. When driver receives
> special netlink message with appropriate identificator, appropriate
> callback will be called.

Looks sane enough to me - and it seems to fit the mentality d-bus and
HAL want to have. 

Alan

ps: only trivial item (and really trivial) is that the printk messages
should be "waiting for %s".